import filecmp
import subprocess
import os
from time import sleep
from server import weather_run


def install(parsed):
    args = parsed.parse_args()
    if args.install:
        projectDir = "/home/citrullux/ModernOSLabs"
        delivered = filecmp.cmp(
            projectDir + "/services/wthrc.service",
            "/home/citrullux/.config/systemd/user/wthrc.service",
            shallow=True,
        )
        if not delivered:
            os.environ["DIR"] = projectDir
            subprocess.call(["/usr/bin/sh", projectDir + "/scripts/install.sh"])
        subprocess.call(["/usr/bin/sh", projectDir + "/scripts/runner.sh"])
        sleep(5)
    weather_run()
